# AllMemoriesFade


![Image](https://i.imgur.com/buuPQel.png)


Will force all memories fade out instead of just ending.
For example instead of a divorce having -20 mood debuff for half a year and then vanish it will tick down over time.
This will affect all memories, bad and good, with the result that pawns should generally be more emotionally stable.

- Added settings for changing the base mood-values for all memories. Setting it very high might make your colonist have extreme reactions.
- Added settings for changing the duration of timed thoughts.
- Added setting for excluding memories of specific durations

## Performance

The feature was actually added in 1.3 vanilla code as an optional property for memories. All this mod does is to make all memories use it. As such it should not cause any noticeable performance issues.

## Expanded description via The Blind One

”All (timed) memories that give mood buffs or debuffs will fade over time proportional to how much time is left. Really bad mood debuffs or strong mood buffs won't disappear out of the blue once the timer is up, they will slowly transition and fade out of their minds. A pawn going through drug withdrawal will feel only half as bad halfway through the process as an example. 

This also applies to things like breakups and divorces which can be devastating if they happen with -20 mood debuffs for 2 to 3 years straight. While they won't recover over night, you can be sure that they will slowly get there and reduce the mental strain on them as time passes.”

![Image](https://i.imgur.com/O0IIlYj.png)

Since modding is just a hobby for me I expect no donations to keep modding. If you still want to show your support you can gift me anything from my https://store.steampowered.com/wishlist/id/Mlie]Wishlist or buy me a cup of tea.

https://ko-fi.com/G2G55DDYD]![Image](https://i.imgur.com/Utx6OIH.png)


![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.




